Bug 19551 - JDBC Form Wizard : throws NullPointer Exception
JDBC Form Wizard : throws NullPointer Exception
Status: CLOSED INVALID
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P4 (vote)
: 3.x
Assigned To: issues@db
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-18 01:11 UTC by Sakthivel Gopal
Modified: 2003-06-30 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sakthivel Gopal 2002-01-18 01:11:41 UTC
Start PointBase Network Server from IDE
Connect to Sample PointBase database
Invoke Tools-> New JDBC Form Wizard
Choose existing connection
Select CUSTOMER_TBL 
Select JComboBox  (for Secondary Rowset) & use "Secondar Row Set" (check this)
Give the target filename and Finish the Wizard.
Throws NPE :
java.net.SocketException: Socket closed
java.lang.NullPointerException
        at java.util.Hashtable.get(Hashtable.java:320)
        at
org.netbeans.modules.jdbc.editors.DataSourceTemplateEditor.getValue(DataSourceTemplateEditor.java:130)
        at
org.netbeans.modules.form.FormProperty.getJavaInitializationString(FormProperty.java:517)
        at
org.netbeans.modules.form.JavaCodeGenerator.generatePropertySetter(JavaCodeGenerator.java:1116)
        at
org.netbeans.modules.form.JavaCodeGenerator.generateComponentInit(JavaCodeGenerator.java:963)
        at
org.netbeans.modules.form.JavaCodeGenerator.addInitCode(JavaCodeGenerator.java:734)
        at
org.netbeans.modules.form.JavaCodeGenerator.regenerateInitializer(JavaCodeGenerator.java:581)
        at
org.netbeans.modules.form.JavaCodeGenerator.access$500(JavaCodeGenerator.java:48)
        at
org.netbeans.modules.form.JavaCodeGenerator$JCGFormListener.formLoaded(JavaCodeGenerator.java:1920)
        at
org.netbeans.modules.form.FormModel.fireFormLoaded(FormModel.java:364)
        at
org.netbeans.modules.form.FormEditorSupport.loadFormImpl(FormEditorSupport.java:365)
        at
org.netbeans.modules.form.FormEditorSupport.access$000(FormEditorSupport.java:37)
        at
org.netbeans.modules.form.FormEditorSupport$1.run(FormEditorSupport.java:111)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:154)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:337)
        at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:131)
        at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:98)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:85)
java.net.SocketException: Socket closed
Comment 1 Sakthivel Gopal 2002-01-18 18:42:24 UTC
"jdbc-client" bug which needs to go into bugtraq and is not applicable
here.
Hence closing this as invalid.
Comment 2 Martin Schovanek 2003-03-12 16:30:12 UTC
VERIFIED
Comment 3 Quality Engineering 2003-06-30 17:17:21 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo